org.glassfish.jersey.server

## Class ServerBootstrapBag

- java.lang.Object
- - org.glassfish.jersey.internal.BootstrapBag
  - - org.glassfish.jersey.server.ServerBootstrapBag

    public class ServerBootstrapBag
    extends org.glassfish.jersey.internal.BootstrapBag

This bootstrap bag is specialized for server part of Jersey.

Author:
  Petr Bouda

### Constructor Summary

Constructors
Constructor and Description
`ServerBootstrapBag()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Application` `getApplication()`
`ApplicationHandler` `getApplicationHandler()`
`org.glassfish.jersey.internal.util.collection.LazyValue<Collection<ComponentProvider>>` `getComponentProviders()`
`Collection<ModelProcessor>` `getModelProcessors()`
`org.glassfish.jersey.server.internal.inject.MultivaluedParameterExtractorProvider` `getMultivaluedParameterExtractorProvider()`
`org.glassfish.jersey.server.internal.ProcessingProviders` `getProcessingProviders()`
`org.glassfish.jersey.server.ResourceBag` `getResourceBag()`
`org.glassfish.jersey.server.internal.JerseyResourceContext` `getResourceContext()`
`ResourceMethodInvoker.Builder` `getResourceMethodInvokerBuilder()`
`ResourceModel` `getResourceModel()`
`ResourceConfig` `getRuntimeConfig()`
`Collection<org.glassfish.jersey.server.spi.internal.ValueParamProvider>` `getValueParamProviders()`
`void` `setApplication(jakarta.ws.rs.core.Application application)`
`void` `setApplicationHandler(ApplicationHandler applicationHandler)`
`void` `setComponentProviders(org.glassfish.jersey.internal.util.collection.LazyValue<Collection<ComponentProvider>> componentProviders)`
`void` `setModelProcessors(Collection<ModelProcessor> modelProcessors)`
`void` `setMultivaluedParameterExtractorProvider(org.glassfish.jersey.server.internal.inject.MultivaluedParameterExtractorProvider provider)`
`void` `setProcessingProviders(org.glassfish.jersey.server.internal.ProcessingProviders processingProviders)`
`void` `setResourceBag(org.glassfish.jersey.server.ResourceBag resourceBag)`
`void` `setResourceContext(org.glassfish.jersey.server.internal.JerseyResourceContext resourceContext)`
`void` `setResourceMethodInvokerBuilder(ResourceMethodInvoker.Builder resourceMethodInvokerBuilder)`
`void` `setResourceModel(ResourceModel resourceModel)`
`void` `setValueParamProviders(Collection<org.glassfish.jersey.server.spi.internal.ValueParamProvider> valueParamProviders)`

### Methods inherited from class org.glassfish.jersey.internal.BootstrapBag

`getAutoDiscoverables, getConfiguration, getContextResolvers, getExceptionMappers, getManagedObjectsFinalizer, getMessageBodyWorkers, getRequestScope, requireNonNull, setAutoDiscoverables, setConfiguration, setContextResolvers, setExceptionMappers, setManagedObjectsFinalizer, setMessageBodyWorkers, setRequestScope`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServerBootstrapBag

    public ServerBootstrapBag()

### Method Detail

#### getModelProcessors

    public Collection<ModelProcessor> getModelProcessors()

#### setModelProcessors

    public void setModelProcessors(Collection<ModelProcessor> modelProcessors)

#### getResourceBag

    public org.glassfish.jersey.server.ResourceBag getResourceBag()

#### setResourceBag

    public void setResourceBag(org.glassfish.jersey.server.ResourceBag resourceBag)

#### getRuntimeConfig

    public ResourceConfig getRuntimeConfig()

#### getApplication

    public jakarta.ws.rs.core.Application getApplication()

#### setApplication

    public void setApplication(jakarta.ws.rs.core.Application application)

#### getApplicationHandler

    public ApplicationHandler getApplicationHandler()

#### setApplicationHandler

    public void setApplicationHandler(ApplicationHandler applicationHandler)

#### getProcessingProviders

    public org.glassfish.jersey.server.internal.ProcessingProviders getProcessingProviders()

#### setProcessingProviders

    public void setProcessingProviders(org.glassfish.jersey.server.internal.ProcessingProviders processingProviders)

#### getMultivaluedParameterExtractorProvider

    public org.glassfish.jersey.server.internal.inject.MultivaluedParameterExtractorProvider getMultivaluedParameterExtractorProvider()

#### setMultivaluedParameterExtractorProvider

    public void setMultivaluedParameterExtractorProvider(org.glassfish.jersey.server.internal.inject.MultivaluedParameterExtractorProvider provider)

#### getValueParamProviders

    public Collection<org.glassfish.jersey.server.spi.internal.ValueParamProvider> getValueParamProviders()

#### setValueParamProviders

    public void setValueParamProviders(Collection<org.glassfish.jersey.server.spi.internal.ValueParamProvider> valueParamProviders)

#### getResourceContext

    public org.glassfish.jersey.server.internal.JerseyResourceContext getResourceContext()

#### setResourceContext

    public void setResourceContext(org.glassfish.jersey.server.internal.JerseyResourceContext resourceContext)

#### getComponentProviders

    public org.glassfish.jersey.internal.util.collection.LazyValue<Collection<ComponentProvider>> getComponentProviders()

#### setComponentProviders

    public void setComponentProviders(org.glassfish.jersey.internal.util.collection.LazyValue<Collection<ComponentProvider>> componentProviders)

#### getResourceMethodInvokerBuilder

    public ResourceMethodInvoker.Builder getResourceMethodInvokerBuilder()

#### setResourceMethodInvokerBuilder

    public void setResourceMethodInvokerBuilder(ResourceMethodInvoker.Builder resourceMethodInvokerBuilder)

#### getResourceModel

    public ResourceModel getResourceModel()

#### setResourceModel

    public void setResourceModel(ResourceModel resourceModel)